lp:~roadmr/checkbox/packaging-libqt5v8-dependency

Created by Daniel Manrique on 2014-03-18 and last modified on 2014-04-10
Get this branch:
bzr branch lp:~roadmr/checkbox/packaging-libqt5v8-dependency
Only Daniel Manrique can upload to this branch. If you are Daniel Manrique please log in for upload directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Daniel Manrique
Project:
Checkbox
Status:
Merged

Recent revisions

69. By Daniel Manrique on 2014-03-18

Reduced set of qt5 build-depends to minimum necessary

68. By Daniel Manrique on 2014-03-18

* Drop GUI_ARCHES logic in debian/rules.
* Drop arch-restriction from packages.
* Drop libqt5v8-5-dev build-dependency. (LP: #1292801)
* Remove arch restriction from checkbox. All dependencies are present
  now, and keeping things in dep-wait state is recommended cause it
  doesn't block anything and this upload would not be necessary.

67. By Daniel Manrique on 2014-03-14

"Packaging changes: finalizing the 0.17.8 release of checkbox (checkbox-old). Opening 0.17.9.dev version. [r=zkrynicki][bug=][author=roadmr]"

66. By Sylvain Pineau on 2014-02-28

"automatic merge by tarmac [r=sylvain-pineau][bug=1243058][author=checkbox-dev]"

65. By Daniel Manrique on 2014-02-25

"Added config examples for virt/network testing. These "templates" can be modified by users to fit their needs. [r=zkrynicki][bug=][author=roadmr]"

64. By Zygmunt Krynicki on 2014-02-14

"automatic merge by tarmac [r=roadmr][bug=1243058][author=checkbox-dev]"

63. By Daniel Manrique on 2014-02-13

"uild checkbox-gui only on supported architectures (i386, amd64, armhf).

The reason the others are unsupported is that the qt5declarative set of
packages depends on the v8 javascript engine which is unavailable for those
architectures. If/when this dependency becomes available we can either remove
these restrictions or leave the supported arch list "empty".
 [r=sylvain-pineau][bug=][author=roadmr]"

62. By Daniel Manrique on 2014-02-12

"Removed build dependencies on qt{multimedia,sensors}5-dev as they're not actually needed, Minor rearranging of checkbox-gui dependencies.
 [r=zkrynicki][bug=][author=roadmr]"

61. By Zygmunt Krynicki on 2014-02-06

"automatic merge by tarmac [r=sylvain-pineau][bug=][author=zkrynicki]"

60. By Daniel Manrique on 2014-02-06

"checkbox-gui needs to depend on the qt5 local storage plugin to store the user's choice of whether to show the deselection warning. [r=brendan-donegan][bug=][author=roadmr]"

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:checkbox
This branch contains Public information 
Everyone can see this information.

Subscribers